back to list - yml - json - text - edit text - edit data
key
lgpl-3.0-cygwin
is_deprecated
True
short_name
LGPL 3.0 or later with Cygwin exception
name
LGPL 3.0 or later with Cygwin exception
category
Copyleft Limited
owner
Cygwin Project
homepage_url
https://cygwin.com/licensing.html
is_exception
True
other_urls
license_text
The Cygwin API library found in the winsup subdirectory of the source code is covered by the GNU Lesser General Public License (LGPL) version 3 or later. For details of the requirements of LGPLv3, please read the GNU Lesser General Public License (LGPL).

Cygwin™ Linking Exception

As a special exception, the copyright holders of the Cygwin library grant you additional permission to link libcygwin.a, crt0.o, and gcrt0.o with independent modules to produce an executable, and to convey the resulting executable under terms of your choice, without any need to comply with the conditions of LGPLv3 section 4. An independent module is a module which is not itself based on the Cygwin library.